ranges::views::delimit_base_fn Struct Reference
Inheritance diagram for ranges::views::delimit_base_fn:

## Public Member Functions

template<typename Rng , typename Val >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&input_range< Rng > &&semiregular< Val > &&equality_comparable_with< Val, range_reference_t< Rng >>) ccconstexpr auto operator()(Rng &&rng
template<typename I_ , typename Val , typename I = detail::decay_t<I_>>
CPP_TEMPLATE_AUX_0 | c (requires `(!range< I_ >) &&convertible_to< I_, I > &&input_iterator< I > &&semiregular< Val > &&equality_comparable_with< Val, iter_reference_t< I >>) ccconstexpr auto operator()(I_ &&begin_

## Public Attributes

CPP_TEMPLATE_AUX_0 Val value const | delimit_view< all_t< Rng >, Val >
CPP_TEMPLATE_AUX_0 Val value const | delimit_view< subrange< I, unreachable_sentinel_t >, Val >

## Member Data Documentation

## delimit_view< all_t< Rng >, Val >

CPP_TEMPLATE_AUX_0 Val value const ranges::views::delimit_base_fn::delimit_view< all_t< Rng >, Val >

Initial value:
{
return {all(static_cast<Rng &&>(rng)), std::move(value)}
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52

## delimit_view< subrange< I, unreachable_sentinel_t >, Val >

CPP_TEMPLATE_AUX_0 Val value const ranges::views::delimit_base_fn::delimit_view< subrange< I, unreachable_sentinel_t >, Val >

Initial value:
{
return {{static_cast<I_ &&>(begin_), {}}, std::move(value)}